import 'package:adobe_xd/adobe_xd.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:likepoint_payment/text_style.dart';

class PaymentConfirmComponent {
  PaymentConfirmComponent(_);

  static Widget iconLikePoint() => Align(
        alignment: Alignment.center,
        child: Container(
            height: 200.h,
            width: 200.h,
            child: Image.network(
              'https://bit.ly/3gbk00Q',
            )),
      );

  static Widget textLine1({BuildContext context, String text}) => Text(
        text,
        style: TextStyleCustom.textStyleBR37(context),
      );

  static Widget textLine2({BuildContext context, String text}) => Text(
        text,
        style: TextStyleCustom.textStyleNG35(context),
      );

  static Widget textLine3({BuildContext context, String text}) => Text(
        text,
        style: TextStyleCustom.textStyleNB30(context),
      );

  static Widget textLine4({BuildContext context, String text}) => Text(
        text,
        style: TextStyleCustom.textStyleNG30(context),
      );

  static Widget textLine5({BuildContext context, String text}) => Text(
        text,
        style: TextStyleCustom.textStyleNB30(context),
      );

  static showShortToast({String text}) {
    return Fluttertoast.showToast(
        msg: text,
        toastLength: Toast.LENGTH_SHORT,
        timeInSecForIosWeb: 1,
        backgroundColor: Colors.red);
  }
}
